﻿/*

Copyright (c) <2012>, Intel Corporation All Rights Reserved.
 
The source code, information and material ("Material") contained herein is owned by Intel Corporation or its suppliers or licensors, 
and title to such Material remains with Intel Corporation or its suppliers or licensors. The Material contains proprietary information 
of Intel or its suppliers and licensors. The Material is protected by worldwide copyright laws and treaty provisions. No part of the Material 
may be used, copied, reproduced, modified, published, uploaded, posted, transmitted, distributed or disclosed in any way without Intel's 
prior express written permission. No license under any patent, copyright or other intellectual property rights in the Material is granted 
to or conferred upon you, either expressly, by implication, inducement, estoppel or otherwise. Any license under such intellectual 
property rights must be express and approved by Intel in writing.
 
Unless otherwise agreed by Intel in writing, you may not remove or alter this notice or any other notice embedded in Materials by Intel 
or Intel’s suppliers or licensors in any way.

*/

using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

namespace PhotoApp.Controls
{
    /// <summary>
    /// Interaction logic for MessageWindow.xaml
    /// </summary>
    public partial class MessageWindow : Window, INotifyPropertyChanged
    {
        //Events
        public event RoutedEventHandler allowButtonClicked;
        public event RoutedEventHandler cancelButtonClicked;

        //Variables
        //public string allowBtnTitle;
        //public string cancelBtnTitle;

        public bool isAllowed;
        public bool isOpen;

        private String _message;
        public String Message
        {
            get
            {
                return _message;
            }
            set
            {
                if (_message != value)
                {
                    _message = value;
                    OnNotifyPropertyChanged("Message");
                }
            }
        }

        /// <summary>
        /// Define property changed event.
        /// </summary>
        public event PropertyChangedEventHandler PropertyChanged;
        /// <summary>
        /// Raise property changed event.
        /// </summary>
        /// <param name="PropertyName">Name of property for which the event is raised.</param>
        protected virtual void OnNotifyPropertyChanged(String PropertyName)
        {
            if (null != PropertyChanged)
            {
                PropertyChanged(this, new PropertyChangedEventArgs(PropertyName));
            }
        }

        public MessageWindow()
        {
            InitializeComponent();
            this.Loaded += MessageWindow_Loaded;
            this.DataContext = this;
        }

        void MessageWindow_Loaded(object sender, RoutedEventArgs e)
        {
            //Find the inner labels from buttons to set the text.

            /*Label allowLbl = VisualTreeHelper.GetChild(allowBtn as DependencyObject, 0) as Label;
            if (allowLbl != null)
            {
                //Set the title for allow button.
                if (!String.IsNullOrEmpty(allowBtnTitle))
                    allowLbl.Content = allowBtnTitle;
            }

            Label cancelLbl = VisualTreeHelper.GetChild(cancelBtn as DependencyObject, 0) as Label;
            if (cancelLbl != null)
            {
                //Set the title for cancel button.
                if (!String.IsNullOrEmpty(cancelBtnTitle))
                    cancelBtn.Content = cancelBtnTitle;
            }*/

            isOpen = true;
        }

        private void allowBtn_Click(object sender, RoutedEventArgs e)
        {
            isAllowed = true;

            if (allowButtonClicked != null)
                allowButtonClicked(this, e);

            isOpen = false;
            this.Close();
        }

        private void cancelBtn_Click(object sender, RoutedEventArgs e)
        {
            isAllowed = false;

            if (cancelButtonClicked != null)
                cancelButtonClicked(this, e);

            isOpen = false;
            this.Close();
        }
    }
}
