﻿/*

Copyright (c) <2012>, Intel Corporation All Rights Reserved.
 
The source code, information and material ("Material") contained herein is owned by Intel Corporation or its suppliers or licensors, 
and title to such Material remains with Intel Corporation or its suppliers or licensors. The Material contains proprietary information 
of Intel or its suppliers and licensors. The Material is protected by worldwide copyright laws and treaty provisions. No part of the Material 
may be used, copied, reproduced, modified, published, uploaded, posted, transmitted, distributed or disclosed in any way without Intel's 
prior express written permission. No license under any patent, copyright or other intellectual property rights in the Material is granted 
to or conferred upon you, either expressly, by implication, inducement, estoppel or otherwise. Any license under such intellectual 
property rights must be express and approved by Intel in writing.
 
Unless otherwise agreed by Intel in writing, you may not remove or alter this notice or any other notice embedded in Materials by Intel 
or Intel’s suppliers or licensors in any way.

*/

using System;
using LocationApiLib;

namespace PhotoApp.Utility
{
    struct GeoLocationData
    {
        public double latitude;
        public double longitude;
        //public double altitude;
    }

    struct CivicAddressData
    {
        public string AddressLine1;
        public string AddressLine2;
        public string City;
        public string CountryRegion;
        public string PostalCode;
        public string StateProvince;
    }

    class GeoPositionChangedEventArgs : EventArgs
    {
        public GeoLocationData geoData;
        public CivicAddressData civicData;

        public GeoPositionChangedEventArgs(GeoLocationData geoLocation)
        {
            geoData = geoLocation;
        }

        public GeoPositionChangedEventArgs(ILatLongReport report)
        {
            geoData = new GeoLocationData();

            if (!Double.IsNaN(report.GetLatitude()))
                geoData.latitude = report.GetLatitude();
            if (!Double.IsNaN(report.GetLongitude()))
                geoData.longitude = report.GetLongitude();
            //if (report.GetAltitude() != null)
              //  geoData.altitude = report.GetAltitude();
        }

        public GeoPositionChangedEventArgs(ICivicAddressReport report)
        {
            civicData = new CivicAddressData();

            civicData.AddressLine1 = report.GetAddressLine1();
            civicData.AddressLine2 = report.GetAddressLine2();
            civicData.City = report.GetCity();
            civicData.CountryRegion = report.GetCountryRegion();
            civicData.PostalCode = report.GetPostalCode();
            civicData.StateProvince = report.GetStateProvince();
        }
    }
}
