/*

Copyright (c) <2012>, Intel Corporation All Rights Reserved.

The source code, information and material ("Material") contained herein is owned by Intel Corporation or its suppliers or licensors, 
and title to such Material remains with Intel Corporation or its suppliers or licensors. The Material contains proprietary information 
of Intel or its suppliers and licensors. The Material is protected by worldwide copyright laws and treaty provisions. No part of the Material 
may be used, copied, reproduced, modified, published, uploaded, posted, transmitted, distributed or disclosed in any way without Intel's 
prior express written permission. No license under any patent, copyright or other intellectual property rights in the Material is granted 
to or conferred upon you, either expressly, by implication, inducement, estoppel or otherwise. Any license under such intellectual 
property rights must be express and approved by Intel in writing.

Unless otherwise agreed by Intel in writing, you may not remove or alter this notice or any other notice embedded in Materials by Intel 
or Intels suppliers or licensors in any way.

*/

#include <DShow.h>
#include <qedit.h>
#include "RotateVideoSettingsInterface.h"

#pragma once
class PreviewCapture
{
public:
	PreviewCapture(void);
	~PreviewCapture(void);
	void TestMe();
	HRESULT InitCaptureGraphBuilder();
	HRESULT EnumerateDevices();
	HRESULT WriteBitmap(PCWSTR pszFileName, BITMAPINFOHEADER *pBMI, size_t cbBMI, BYTE *pData, size_t cbData);
	HRESULT PreviewCapture::RenderVedioOnWindow(HWND wHandle, int wWidth, int x, int y, int wHeight, bool wFullScreen);
	HRESULT PreviewCapture::AddSampleGrabber();
	HRESULT PreviewCapture::GrabBitmap(LPCWSTR pFileName);
	HRESULT PreviewCapture::AddCapturFilter();
	HRESULT PreviewCapture::FindIntegratedWebCam();
	HRESULT PreviewCapture::Stop();
	HRESULT PreviewCapture::Pause();
	HRESULT PreviewCapture::ReleaseResources();
	HRESULT PreviewCapture::SetPreviewWindow(HWND wHandle, int wWidth, int x, int y, int wHeight);
	HRESULT PreviewCapture::RestartPreview();
	HRESULT PreviewCapture::RotateVideo(int rAngle);

public: static PreviewCapture* PreviewCapture::SharedInstance();

	IGraphBuilder *pGraph;
	ICaptureGraphBuilder2 *pBuild;
	IBaseFilter *pCap;
	IBaseFilter *pGrabberBase;
	IVideoWindow *_vidWin;
	IMediaControl *_mediaControl;
    IAMVideoControl *_videoControl;
	IEnumMoniker *pEnum;
	IMoniker *pMoniker;	 
	ISampleGrabber *pGrabber;
	BYTE *pBuffer;
	IMediaEventEx *pEvent;
	IPin *pIQSOutputPin;
	IBaseFilter *pRotateVideFilter;
	IBaseFilter *pVMR;
	IRotateVideoInterface *pRotateVideoInterface;
public : static PreviewCapture* pPreviewCapture;
};

