/*

Copyright (c) <2012>, Intel Corporation All Rights Reserved.

The source code, information and material ("Material") contained herein is owned by Intel Corporation or its suppliers or licensors, 
and title to such Material remains with Intel Corporation or its suppliers or licensors. The Material contains proprietary information 
of Intel or its suppliers and licensors. The Material is protected by worldwide copyright laws and treaty provisions. No part of the Material 
may be used, copied, reproduced, modified, published, uploaded, posted, transmitted, distributed or disclosed in any way without Intel's 
prior express written permission. No license under any patent, copyright or other intellectual property rights in the Material is granted 
to or conferred upon you, either expressly, by implication, inducement, estoppel or otherwise. Any license under such intellectual 
property rights must be express and approved by Intel in writing.

Unless otherwise agreed by Intel in writing, you may not remove or alter this notice or any other notice embedded in Materials by Intel 
or Intels suppliers or licensors in any way.

*/

// dllmain.cpp : Defines the entry point for the DLL application.
#include "stdafx.h"
#include <DShow.h>
#include <qedit.h>
//#include "AllHeader.h"
#include "PreviewCapture.h"

BOOL APIENTRY DllMain( HMODULE hModule,
                       DWORD  ul_reason_for_call,
                       LPVOID lpReserved
					 )
{
	switch (ul_reason_for_call)
	{
	case DLL_PROCESS_ATTACH:
	case DLL_THREAD_ATTACH:
	case DLL_THREAD_DETACH:
	case DLL_PROCESS_DETACH:
		break;
	}
	return TRUE;
}

extern "C" __declspec(dllexport) HRESULT Init(int rAngle)
{
	HRESULT hr = CoInitializeEx(NULL, COINIT_MULTITHREADED);

	hr = PreviewCapture::SharedInstance()->InitCaptureGraphBuilder();
	if(FAILED(hr))
		return hr;
	hr = PreviewCapture::SharedInstance()->EnumerateDevices();
	if(FAILED(hr))
		return hr;
	hr = PreviewCapture::SharedInstance()->FindIntegratedWebCam();
	if(FAILED(hr))
		return hr;
	hr = PreviewCapture::SharedInstance()->AddCapturFilter();
	if(FAILED(hr))
		return hr;
	hr = PreviewCapture::SharedInstance()->AddSampleGrabber();
		return hr;
}
extern "C" __declspec(dllexport) HRESULT StartPreview(HWND windowHandle,int x, int y, int width, int height, bool bFullScreen)
{
	HRESULT hr = PreviewCapture::SharedInstance()->RenderVedioOnWindow(windowHandle,width,x,y,height,bFullScreen);
		return hr;
}
extern "C" __declspec(dllexport) HRESULT SetPreviewWindow(HWND windowHandle,int x, int y, int width, int height)
{
	HRESULT hr = PreviewCapture::SharedInstance()->SetPreviewWindow(windowHandle,width,x,y,height);
		return hr;
}
extern "C" __declspec(dllexport) HRESULT StopPreview()
{
	HRESULT hr = PreviewCapture::SharedInstance()->Stop();
	return hr;
}
extern "C" __declspec(dllexport) HRESULT RestartPreview()
{
	HRESULT hr = PreviewCapture::SharedInstance()->RestartPreview();
	return hr;
}
extern "C" __declspec(dllexport) HRESULT CaptureImage(LPCWSTR pFileName)
{
	HRESULT hr = PreviewCapture::SharedInstance()->GrabBitmap(pFileName);
	return hr;
}
extern "C" __declspec(dllexport) HRESULT RotateVideo(int rAngle)
{
	HRESULT hr = PreviewCapture::SharedInstance()->RotateVideo(rAngle);
	return hr;
}
extern "C" __declspec(dllexport) HRESULT UnInit()
{
	
	HRESULT hr = PreviewCapture::SharedInstance()->ReleaseResources();
	return hr;
}
